Join the discord ?!?!?!?
[![discord server](https://cdn.discordapp.com/attachments/390713656259772417/1064765021474803773/Fhf5eEGWQAE4Cdg.jpg)](https://discord.gg/yFRx3E6Yep)

## Credits
https://github.com/bbborbo/ArtificerExtended

- Borbo, for creating the mod and most of it's content
- Rein, for encouraging the creation of ArtificerExtended with his mod AlternativeArtificer, and allowing AA content to be used in AE down the line
- Beel, for restoration of ArtificerExtended after SOTV
- Nerols, for maintenance of ArtificerExtended after SOTV
- Gaforb, for some assistance with compatability with RiskyMod
- Moonsky70, for maintenance of ArtificerExtended after SOTV
- PureDark, for adding compatability with VR

## Mod Overview
ArtificerExtended introduces a handful of new skills for Artificer with the intention of adding new, varied gameplay styles in creative ways. Introduces 11 new abilities, all arranged in a satisfying pattern!

[![](https://media.discordapp.net/attachments/828727557754322985/1067205650989465630/guh.png)]()

# BALANCE ADJUSTMENTS AND REWORKS

## Ion Surge Rework

Ion Surge has been reworked to be more compatible with the new passive and new playstyles. Instead of dealing damage and bursting high into the air, the new Ion Surge gives three bursts of directional mobility, with no damage. Hold space to go up! Additionally, all other skills can be used while Ion Surge is being cast.

## Chill Rework

The 80% "Cold Slow" has been repurposed into "CHILL" for ArtificerExtended! It can now stack up to 10x, with potential bonus effects! Not only can her cold-based skills apply CHILL, but certain items can as well.

[![](https://media.discordapp.net/attachments/390713656259772417/830305414679494696/unknown.png)]()

# CONTENT!

### Brand new skills!

FOUR new Primary skills: ICE SHARDS, FLAME BURST, LASER BOLTS, SNOWBALLS

THREE new Secondary skills: CHANNELED NANO-METEOR, FOCUSED SHOCKWAVE, COLD FUSION

THREE new Utility skills: NAPALM BARRAGE, ROLLING THUNDER, TEMPERATURE DROP

ONE new Special skill: FROSTBITE

The skills design of ArtificerExtended is focused around accessibility and depth. There is something for everyone here! Melee skills, long ranged skills, armor, mobility, cooldowns, attack speed - you name it, AE has some of it!

### And more!

New passives, and new unlocks! 

[![](https://media.discordapp.net/attachments/390713656259772417/830298690149023754/unknown.png)]()

Any unlock can even be bypassed via config if you desire.

# Known Issues

- None! The mod is perfect..?

## Changelog
### 3.5.3
```
- bugs real
```

### 3.5.2
```
- BUGS REAL I REPEAT BUGS REAL THIS IS NOT A DRILL
```

### 3.5.1
```
- bugs real
```

### 3.5.0
```
- old content is BAAACKKKKKKKKK
- fixed incompatabilities with PassiveAggression
- fixed a bug where lightning bolts would fail to cast if ion surge was used before they fired
```

### 3.4.5
```
- fixed a bug with the unlock "To Fight Fire" where kills with strong burn wouldnt count
```

### 3.4.3
```
moved chill rework to standalone mod
```

### 3.4.2
```
dependency + readme changes
```

### 3.4.1
```
	General:
- forgor readme credits
```

### 3.4.0
```
	General:
- fixed a few bugs
- networking
- vr support

	Ice Shards:
- Added support for RiskyMod's reloading primaries 

	Other:
- reduced artificer head length by 0.00000001%
```

### 3.3.3
```
	General:
- Fixed compatability with Ancient Scepter
- Fixed vanilla ion surge breaking alt passives
- Updated README to better reflect the state of the mod
```

### 3.3.2
```
	General:
- Fixed unlocks broken by recent ROR2 update
```

### 3.3.1
```
	General:
- New config options
```

### 3.3.0
```
	General:
- Fixed for CUM2/SOTV!
- Fixed inaccuracies with Flamethrower and Incinerate keyword descriptions (from 3.2.0).
- Increased range of all one-off melee skills from 21m to 25m (i.e. Ice Shards, Shockwave, etc)

	Energetic Resonance:
- Updated Incinerate to include Stronger Burn from Ignition Tank.

	Napalm:
- Increased damage per second per pool (70% -> 75%)
- Increased proc coefficient per hit (0.3 -> 0.5)
(*After burn changes from the SOTV update, Napalms new burn function was ironically left feeling much less powerful than it was pre-update.)
- Updated unlock condition to include Stronger Burn from Ignition Tank.

	Frostbite:
- Fixed Frostbite armor display not being shaded/colored properly.

	Other:
- Extended Artificer's head by 2%
```

### 3.2.0
```
	General:
- New secondary skill!
- All balance changes from previous versions of the mod have been moved to DuckSurvivorTweaks.

	Hover:
- Removed movement speed buff. This can be reverted by installing DuckSurvivorTweaks.

	Energetic Resonance:
- Removed certain equipment granting Power for Energetic Resonance passive effects
- Updated description to make it more clear that it's effects have a related Keyword
- Added minor VFX on burning enemies while Incinerate is active
- Reduced Arctic Blast radii globally
- Blocked damage can no longer chill enemies
- Reduced chill stacks applied from Freezing attacks

	Ice Shards:
- Increased spread bloom
- Increased recoil amplitude

	Flame Burst:
- Projectiles now detonate at the end of their lifetime instead of disappearing

	Snowballs:
- Fixed an error where BetterUI would display snowballs's cooldown as higher than it was supposed to be.

	Nano-Spear:
- Changed max damage to match Nano-Bomb. This can be reverted by installing DuckSurvivorTweaks.

	Nano-Meteor:
- Changed max damage to match Nano-Bomb. This can be reverted by installing DuckSurvivorTweaks.

	Shockwave:
- Changed damage to match Nano-Bomb. This can be reverted by installing DuckSurvivorTweaks.
- Now has a small hop at the end of the dash to prevent immediately falling.
- Increased cooldown slightly
- Added a small amount of recoil + screen shake for flavor

	Napalm: 
- Changed base cooldown to match Snapfreeze. This can be reverted by installing DuckSurvivorTweaks.
- Now burns enemies; No longer scales direct damage with Incinerate
- Fixed proc coefficient being 1/10 the intended value
- Fixed damage being 5x the intended value
- Fixed DoT zone not hitting the player in some circumstances
- Fixed projectile spread calculations not behaving as intended

	Rolling Thunder:
- Changed base cooldown to match Snapfreeze. This can be reverted by installing DuckSurvivorTweaks.
- Fixed proc coefficient being 0.75x the intended value

	Temperature Drop:
- Changed base cooldown to match Snapfreeze. This can be reverted by installing DuckSurvivorTweaks.
- Changed falloff model (none -> sweet spot)
(the idea behind this is to make it more rewarding to use temperature drop from higher places!)
- Fixed AoE hitting and freezing the player in some circumstances
- Updated description to better clarify how the skill functions.

	Frostbite:
- Fixed AoE hitting and freezing the player in some circumstances
- Is now properly canceled from sprinting.
- Reduced primary nova range, increased secondary nova range
- Both novas now use the SweetSpot falloff model instead of None
```

### 3.1.8
```
	Passives:
- Actually properly removed the Nebula passive

	Other:
- fixed a bug
```

### 3.1.7
```
	Passives:
- Moved Nebula passive to a separate mod.
```

### 3.1.6
```
	Other:
- fixed a couple bugs
- happy birthday artificer
```


### 3.1.5
```
	Energetic Resonance:
- Updated 'Power' counting system to accomodate for secret synergies in the last patch. 
* Now has a fifth "UNFATHOMABLE" power level
- Increased stacks of Chill applied by Freezing attacks (3 -> 4)
- Modified proc chance for Chilling attacks to apply Chill

	Snapfreeze:
- No longer Freezes twice per pillar, double dipping on Chill stacks

	Temperature Drop:
- mightve fixed fall damage issues on clients in multiplayer lobbies
	
	Other:
- Attacks that Ignite no longer apply only one stack of burn with the Red Affix buff
- Extended Arti head length by 0.6%
```

### 3.1.4
```
	Energetic Resonance:
- Added a couple secret synergies
- Fixed a bug where the Arctic Blast portion of the passive was leaking into other passives
	
	Other:
- Extended Arti head length by 0.6%
- PIE
```

### 3.1.3
```
	Energetic Resonance:
- Updated Arctic Blast colors to be more distinct from glacial elite novas
- Changed elemental counting system to be more consistent, hopefully fixing a bug or two with the unlock?

	Frostbite:
- Fixed Cryostasis buff not properly displaying the spinning shields
```

### 3.1.2
```
	Flame Burst:
- Fixed casting/cooldown behavior to act like other channeled skills

	Laserbolts:
- Removed damage falloff
- Now uses the correct damage coefficient from the correct skill (130% -> 220%)
- Increased base cooldown (1.3s -> 2s)
- Increased base attack duration (0.4s -> 0.45s)
- Replaced tracer VFX (uglier, no longer leaks memory)
	
	Snowballs:
- Fixed an error where BetterUI would list the cooldown as higher than it was supposed to be
- Reduced attack duration (0.6s -> 0.55s)

	Napalm:
- Reduced burn stack requirement for its unlock (30 stacks -> 25)
- Fixed self knockback behavior to apply as all the projectiles are firing, not after

	Ion Surge:
- Reduced CDR granted from Ancient Scepter upgrade

	Frostbite:
- Added a separate buff from its Ancient Scepter upgrade, Cryostasis
- Increased armor bonus from Cryostasis
- Increased damage and range of Cryostasis novas
- Increased base cooldown of Cryostasis
- Fixed interrupt behavior so both versions can no longer cancel its own cast

	Other:
- Primary animations now properly alternate between hands
```

### 3.1.1
```
	Bug Fixes:
- Fixes an issue where the Ion Surge replacement would not occur if Ancient Scepter wasnt installed
```

### 3.1.0
```
	ENV Suit:
- Slightly increased speed bonus

	Nebula Mind:
- Reduced regen from life boosters

	Nano-Meteor:
- Fixed casting behavior to match other 'nano' skills

	Napalm:
- Improved VFX
- Doubled "dot" fire frequency

	Other:
- Improved skill replacement method (ie alt ion surge)
- Artificer head length extended by 999.99%!
```

### 3.0.1
```
	Nebula Mind:
- Increased the power of every nebula booster, especially the blue

	Bug Fixes:
- Fixed a bug where all new skills were pausing their cooldown when they werent supposed to
- Fixed a bug with the "Stunning Precision" unlock not working
- Added a little bit of logic to avoid having the "Elemental Intensity" unlock and Energetic Resonance passive break from skills with improper language tokens
- Changed Flamethrower and Temperature Drop to REQUIRE a key press to activate so that they no longer break with additional charges

	Other:
- Adjusted a few keyword tokens and descriptions to more accurately/descriptively reflect in-game behavior
```

### 3.0.0 - Passives and Unlocks!
```
	General:
- Increased Artificer's base damage to 13
- Added a buff that increases Artificer's movement speed by 15% while hovering.
- Changed Artificer's flavor text after the game's main ending!
- Added unlocks/achievements for every single skill! (configurable)
- Updated systems to be more modular (increased support for future versions + future projects)
- Lang fixes, all kinds of lang fixes! I even fixed a vanilla grammar error on nanobomb's description!
- Updated config system to only generate "Enable Config"-dependent settings if Enable Config is turned on
- Added compatability support for RTAutoSprintEX
- Improvements to loading speed!

	Ice Shards:
- Fixed cooldown not matching firebolts/plasmabolts
- Slightly reduced damage of each bolt to help compensate for the base damage increase (80% -> 70%)

	Flameburst:
- Now explodes when the projectiles expire

	Laserbolts:
- Fixed cooldown not matching firebolts/plasmabolts
- Increased base duration (0.3 -> 0.4)
- Increased base recoil (1 -> 1.6)
- Adjusted recoil calculations to be more accurate with higher attack speed

	Snowballs:
- Proc coefficient reduced (1.0 -> 0.8)
(*I didn't want to have to nerf snowballs, but they were simply too good for the new ice passive.
This should hopefully keep them from getting too crazy too quickly without feeling worse as a skill.)

	Shockwave:
- Fixed a bug where it would launch enemies into the air when they got hit
- Now requires a key press to activate (so it doesnt spam when you hold the key)

	Rolling Thunder:
- Increased starting velocity (17.5 -> 22.5)
- Adjusted velocity + delay behavior to make it easier to hit + stun monsters with
- Increased blast radius (7 -> 8)
- Increased blast force (50 -> 250)
- Fixed a bug where the thunder bolts would launch sideways when aimed against surfaces with vertical normals
- Fixed area indicator to match the bolt blast radius

	Other: 
- Patch notes of old versions moved into a seperate text file in the AE download folder
- Artificer head length extended by 999.99%!
```

[![](https://media.discordapp.net/attachments/390713656259772417/831787191633838080/oldicon.png)]()
[![](https://media.discordapp.net/attachments/390713656259772417/831787194389102602/oldicon2.png)]()
